Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create folders

Bulk-creates DAM folders. Successful entities are returned in data; per-item failures in errors.

POST/api/v2/{team_slug}/{app_slug}/dam/folders
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
foldersCreateFolderItem[]required
min items 1 · max items 20
Show properties
Array of CreateFolderItem
namestringrequired
parent_idUUID
publicboolean
Responses
201

Created (partial success possible)

dataFolder[]required
Show properties
Array of Folder
idUUIDrequired
namestringrequired
slugstringrequired
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
publicbooleanrequired
is_defaultbooleanrequired
image_countintegerrequired
video_countintegerrequired
file_countintegerrequired
has_content_accessbooleanrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
errorsFolderError[]required
Show properties
Array of FolderError
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
namestring
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v2/string/string/dam/folders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "folders": [
    {
      "name": "string",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "public": true
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "public": true,
      "is_default": true,
      "image_count": 0,
      "video_count": 0,
      "file_count": 0,
      "has_content_access": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "message": "string"
    }
  ]
}